<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Auth\Controllers\AuthController;
use App\Http\ApiV1\Modules\Common\Controllers\MenuController;
use App\Http\ApiV1\Modules\Logistic\Controllers\DeliveryServices\DeliveryServicesController;
use App\Http\ApiV1\Modules\Units\Controllers\EnumsController;
use App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController;
use App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreContactsController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StorePickupTimesController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController;
use App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreWorkingsController;
use Illuminate\Support\Facades\Route;

Route::get('menu', [MenuController::class, 'menu']);
Route::post('auth/login', [AuthController::class, 'login'])->withoutMiddleware(['auth']);
Route::get('auth/logout', [AuthController::class, 'logout']);
Route::post('auth/refresh', [AuthController::class, 'refresh'])->withoutMiddleware(['auth']);
Route::get('auth/current-user', [AuthController::class, 'currentUser']);
Route::get('units/sellers', [SellersController::class, 'get']);
Route::patch('units/sellers', [SellersController::class, 'patch']);
Route::get('units/sellers/seller-statuses', [EnumsController::class, 'sellerStatuses']);
Route::post('units/seller-users', [SellerUsersController::class, 'create']);
Route::get('units/seller-users/{id}', [SellerUsersController::class, 'get']);
Route::patch('units/seller-users/{id}', [SellerUsersController::class, 'patch']);
Route::post('units/seller-users:search', [SellerUsersController::class, 'search']);
Route::get('units/seller-users:meta', [SellerUsersController::class, 'meta']);
Route::post('units/stores', [StoresController::class, 'create']);
Route::get('units/stores/{id}', [StoresController::class, 'get']);
Route::patch('units/stores/{id}', [StoresController::class, 'patch']);
Route::post('units/stores:search', [StoresController::class, 'search']);
Route::get('units/stores:meta', [StoresController::class, 'meta']);
Route::post('units/stores-workings', [StoreWorkingsController::class, 'create']);
Route::delete('units/stores-workings/{id}', [StoreWorkingsController::class, 'delete']);
Route::patch('units/stores-workings/{id}', [StoreWorkingsController::class, 'patch']);
Route::post('units/stores-pickup-times', [StorePickupTimesController::class, 'create']);
Route::delete('units/stores-pickup-times/{id}', [StorePickupTimesController::class, 'delete']);
Route::patch('units/stores-pickup-times/{id}', [StorePickupTimesController::class, 'patch']);
Route::post('units/stores-contacts', [StoreContactsController::class, 'create']);
Route::delete('units/stores-contacts/{id}', [StoreContactsController::class, 'delete']);
Route::patch('units/stores-contacts/{id}', [StoreContactsController::class, 'patch']);
Route::post('logistic/delivery-services:search', [DeliveryServicesController::class, 'search']);
Route::post('logistic/delivery-service-enum-values:search', [DeliveryServicesController::class, 'searchEnumValues'])->name('logistic.searchDeliveryServiceEnumValues');
